/* Fonts */
@font-face {
  font-family: Urwdin-Black;
  src: url(/assets/fonts/urwdin-black-webfont.woff2) format("woff2");
}
@font-face {
  font-family: Urwdin-Regular;
  src: url(/assets/fonts/urwdin-regular-webfont.woff2) format("woff2");
}
/*
******************************************************
    general
******************************************************
*/

:root{
    --mrgreen: #68b022;
}

body {
  font-family: Urwdin-Regular;
}

th button {
  border: none;
  background: none;
  opacity: 1;
  transition: opacity 1s ease 0s;
  transition: transform 0.5s;
}

th button :hover {
  opacity: 0.62;
  padding: 2px;
}

.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover{
  text-decoration: underline;
}

/*
******************************************************
    custom reusable styling
******************************************************
*/
.Urwdin-Black {
  font-family: Urwdin-Black;
  font-size: 18px;
}

.btn-height {
  max-height: 38px;
}

.text-custom-header {
  font-weight: 500;
  font-size: x-large;
  color: var(--mrgreen);
}

.bg-standart {
  border: 2px solid grey;
}

.bg-custom-green {
  background-color: var(--mrgreen) !important;
}

.underline{
  text-decoration: underline;
}

button.bg-btn-green:hover{
  background-color: #52891c;
}

button.bg-btn-green:disabled{
  background-color: #b9eb87;
}

.bg-btn-green{
  background-color: var(--mrgreen);
}

#custom-green {
  background-color: var(--mrgreen);
}

.bg-custom-dark {
  background-color: #41434b;
}

.daycard {
    box-shadow: -4px 4px 14px 0px #080808bf;
    background-color: #1d1f21e8;
    border-radius: 45px;
    position: relative;
    top: -40px;
}

.mrlogostyle {
    position: absolute;
    top: 0;
    right: 0;
    width: 450px;
    background-color: #68b022bf;
    border-bottom-left-radius: 45px;
}

/*
******************************************************
    custom table settings
******************************************************
*/
.table-menu {
  width: 20%;
  min-width: 20%;
  max-width: 20%;
  height: 100px;
  min-height: 100px;
  max-height: 100px;
}

/*
******************************************************
    footer-like row
******************************************************
*/
.fixed-bottom {
  position: fixed;
  bottom: 0px;
}

/*
******************************************************
    Dayview
******************************************************
*/
.vertical-center {
  min-height: 100%; /* Fallback for browsers do NOT support vh unit */
  min-height: 100vh; /* These two lines are counted as one :-)       */

  display: flex;
  align-items: center;
}

ul:is(.daymenu) {
    font-family: "Urwdin-Regular";
    font-size: 70px;
    color: white;
    list-style-type: none;
    margin: 0;
    padding: 0;

    hr {
        color: white;
    }
}

.logo {
  position: fixed;
  top: 50px;
  right: 50px;
}

/*
******************************************************
    Edit DB
******************************************************
*/
.containerMenues {
  display: grid;
  grid-template-rows: 40px 80px 200px 40px 80px 10px;
  grid-template-columns: 150px 150px 150px 150px 150px;
  gap: 40px;
  grid-template-areas:
    "datePicker buttonCopy . . buttonCreatePDF"
    "day1 day2 day3 day4 day5"
    "menu1 menu2 menu3 menu4 menu5"
    ". . submit . ."
    ". . containerEntryHeader . ."
    "lastEntry1 lastEntry2 lastEntry3 lastEntry4 lastEntry5";
  justify-content: center;
}

/* Grid Area Zuweisungen: */

.containerCheckDay1 {
  grid-area: day1;
  text-align: center;
  align-items: center;
  margin: 0px auto;
}

.containerCheckDay2 {
  grid-area: day2;
  text-align: center;
  align-items: center;
  margin: 0px auto;
}

.containerCheckDay3 {
  grid-area: day3;
  text-align: center;
  align-items: center;
  margin: 0px auto;
}

.containerCheckDay4 {
  grid-area: day4;
  text-align: center;
  align-items: center;
  margin: 0px auto;
}

.containerCheckDay5 {
  grid-area: day5;
  text-align: center;
  align-items: center;
  margin: 0px auto;
}

.menu1 {
  grid-area: menu1;
}

.menu2 {
  grid-area: menu2;
}

.menu3 {
  grid-area: menu3;
}

.menu4 {
  grid-area: menu4;
}

.menu5 {
  grid-area: menu5;
}

#table2 {
  display: none;
}

#sucessmsg {
  display: none;
}

.sucessmsgtxt {
  padding: inherit;
  font-size: 50px;
  position: fixed;
  top: 50%; /* Zentriert vertikal */
  left: 50%; /* Zentriert horizontal */
  width: max-content;
  transform: translate(-50%, -50%); /* Verschiebt das Element zur Mitte */
  z-index: 2;
  background-color: #41434be3;
  color: #487a18ff;
}

@media (min-width: 767px) {
  .padding20{
    padding-top: 40px;
    padding-bottom: 27px;
  }
}

@media (max-width:767px){
  .padding20{
    padding-top: 68px;
    padding-bottom: 54px;
  }
}

@media (max-width: 457px) {
  .padding20{
    padding-bottom: 81px;
  }
}

@media (max-width: 991px) {
  .scroll{
    overflow: scroll;
  }

  .fixed{
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
  }
}

@media (min-width: 991px) {
  .center {
    padding: inherit;
    position: fixed;
    top: 50%;
    left: 50%;
    width: max-content;
    height: fit-content;
    transform: translate(-50%, -50%);
    z-index: 10;
  }
}

.sucessmsgbg {
  background-color: #b2b0b5e5;
  z-index: 9;
  position: fixed;
  transform: translate(-50%, -50%); /* Verschiebt das Element zur Mitte */
  width: 100%;
  height: 100%;
  top: 50%;
  left: 50%;
}

.middle {
  vertical-align: middle;
}

.top-round {
  border-top-right-radius: 1rem;
  border-top-left-radius: 1rem;
}

.bottom-round {
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.border-u {
  border-left: 2px solid black;
  border-right: 2px solid black;
  border-bottom: 2px solid black;
}

.border-right {
  border-right: 2px solid black;
}

.bigger {
  font-size: x-large;
}

.mr-big {
  font-weight: bold;
  font-size: 25px;
  font-family: "Roboto", Arial, sans-serif;
  text-decoration: none !important;
}

@media (min-width: 500px) {
  .bg-img {
    background-image: url(/assets/img/weekview-bg.jpg);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
    /*background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;*/
  }

  .blur {
    background: rgba(34, 34, 34, 0.75);
    height: 100vh;
    width: 100%;
    position: fixed;
  }

}

a:active {
  color: black;
}

a:hover {
  color: black;
}

@keyframes rotate1 {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes rotate2 {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(-360deg);
  }
}

#sButton{
  height: 3rem;
  min-width: 20rem;
}

#Bemerkung{
  height: 3rem;
}

.btn-check:focus+.btn, .btn:focus{
  box-shadow: none;
}

.login-center{
  display: grid;
  place-items: center;
  height: 100vh;
}
